org.apache.commons.text.translate

## Class JavaUnicodeEscaper

- java.lang.Object
- - org.apache.commons.text.translate.CharSequenceTranslator
  - - org.apache.commons.text.translate.CodePointTranslator
    - - org.apache.commons.text.translate.UnicodeEscaper
      - - org.apache.commons.text.translate.JavaUnicodeEscaper

-     public class JavaUnicodeEscaper
      extends UnicodeEscaper

  Translates codepoints to their Unicode escaped value suitable for Java source.
  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JavaUnicodeEscaper(int below, int above, boolean between)` Constructs a `JavaUnicodeEscaper` for the specified range.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JavaUnicodeEscaper` | `above(int codepoint)` Constructs a `JavaUnicodeEscaper` above the specified value (exclusive).
    `static JavaUnicodeEscaper` | `below(int codepoint)` Constructs a `JavaUnicodeEscaper` below the specified value (exclusive).
    `static JavaUnicodeEscaper` | `between(int codepointLow, int codepointHigh)` Constructs a `JavaUnicodeEscaper` between the specified values (inclusive).
    `static JavaUnicodeEscaper` | `outsideOf(int codepointLow, int codepointHigh)` Constructs a `JavaUnicodeEscaper` outside of the specified values (exclusive).
    `protected String` | `toUtf16Escape(int codepoint)` Converts the given codepoint to a hex string of the form `"\\uXXXX\\uXXXX"`.

    - ### Methods inherited from class org.apache.commons.text.translate.UnicodeEscaper

      `translate`

    - ### Methods inherited from class org.apache.commons.text.translate.CodePointTranslator

      `translate`

    - ### Methods inherited from class org.apache.commons.text.translate.CharSequenceTranslator

      `hex, translate, translate, with`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JavaUnicodeEscaper

          public JavaUnicodeEscaper(int below,
                                    int above,
                                    boolean between)

      Constructs a `JavaUnicodeEscaper` for the specified range. This is the underlying method for the other constructors/builders. The `below` and `above` boundaries are inclusive when `between` is `true` and exclusive when it is `false`.

      Parameters:
        `below` - int value representing the lowest codepoint boundary
        `above` - int value representing the highest codepoint boundary
        `between` - whether to escape between the boundaries or outside them

  - ### Method Detail

    - #### above

          public static JavaUnicodeEscaper above(int codepoint)

      Constructs a `JavaUnicodeEscaper` above the specified value (exclusive).

      Parameters:
        `codepoint` - above which to escape
      Returns:
        The newly created `UnicodeEscaper` instance

    - #### below

          public static JavaUnicodeEscaper below(int codepoint)

      Constructs a `JavaUnicodeEscaper` below the specified value (exclusive).

      Parameters:
        `codepoint` - below which to escape
      Returns:
        The newly created `UnicodeEscaper` instance

    - #### between

          public static JavaUnicodeEscaper between(int codepointLow,
                                                   int codepointHigh)

      Constructs a `JavaUnicodeEscaper` between the specified values (inclusive).

      Parameters:
        `codepointLow` - above which to escape
        `codepointHigh` - below which to escape
      Returns:
        The newly created `UnicodeEscaper` instance

    - #### outsideOf

          public static JavaUnicodeEscaper outsideOf(int codepointLow,
                                                     int codepointHigh)

      Constructs a `JavaUnicodeEscaper` outside of the specified values (exclusive).

      Parameters:
        `codepointLow` - below which to escape
        `codepointHigh` - above which to escape
      Returns:
        The newly created `UnicodeEscaper` instance

    - #### toUtf16Escape

          protected String toUtf16Escape(int codepoint)

      Converts the given codepoint to a hex string of the form `"\\uXXXX\\uXXXX"`.
      Overrides:
        `toUtf16Escape` in class `UnicodeEscaper`
      Parameters:
        `codepoint` - a Unicode code point
      Returns:
        The hex string for the given codepoint

Copyright © 2014–2020 The Apache Software Foundation. All rights reserved.